﻿.sumnary-shipping ul {
    text-align: right;
}

.sumnary-shipping .summary-subtitle {
    text-align: right;
}

.summary-subtitle {
    font-size: 1.5rem;
}

.cart .select-box::before {
    left: initial;
    right: 1.5rem;
}

/*.summary td:last-child, .summary th:last-child {
    text-align: left;
}*/

.summary-total-price {
    text-align: left;
}

i.d-icon-refresh {
    margin-left: .7rem;
    margin-right: initial;
}

.custom-checkbox + label::before {
    left: 0;
    right: initial;
}

.cart .shop-table td {
    padding: 2rem 0 2rem 2rem !important;
}

@media (max-width: 767px) {
    .cart .shop-table td {
        padding: 0 !important;
    }

        .cart .shop-table td.product-price {
            padding: 0 !important;
        }
}

.cart .shop-table td:last-child {
    padding-left: 0;
    padding-right: initial;
    text-align: center;
}

.summary th {
    text-align: right;
}

.checkout .card-header a {
    padding: 0 2.5rem 0 0;
}

    .checkout .card-header a::before {
        right: 0;
        left: initial;
    }

.checkout .card-body {
    padding: .6rem 2.5rem 1.8rem 0;
}

.checkout .card-header a.collapse::after {
    right: .5rem;
    left: initial;
}

.shop-table {
    text-align: right !important;
}

@media (max-width: 767px) {
    .shop-table {
        text-align: center !important;
    }
}

@media (max-width: 767px) {
    .shop-table {
        text-align: center;
    }
}

.cart .shop-table td {
    padding: 0;
}

.custom-checkbox + label {
    padding-right: 2.4rem;
    padding-left: initial;
}


.step-by .title.title-step::before {
    left: -2.8rem;
    right: initial;
}

.step-by .title.title-step {
    margin-left: 4.8rem;
    margin-right: initial;
}



    .step-by .title.title-step:first-child {
        margin-right: 0;
        margin-left: initial;
    }

.cart .product-thumbnail .product-remove {
    right: initial;
    left: -.8rem;
}


.custom-checkbox + label {
    padding-left: 2.4rem;
    padding-right: initial;
}

.credit-body, .discount-body, .gift-body {
    padding: 0 15px 15px 15px;
}

.credit-table {
    text-align: center;
    overflow: auto;
}

    .credit-table thead tr, .credit-table tbody tr {
        border-bottom: solid 1px #d5d4d4;
    }

    .credit-table thead th, .credit-table tbody td {
        vertical-align: -webkit-baseline-middle;
        padding: 10px 6px;
    }

    .credit-table tbody tr:last-child {
        border-bottom: none;
    }

    .credit-table .credit-delete {
        border-radius: 50%;
        background-color: #fff;
        color: #222;
        box-shadow: 0 2px 6px 0 rgba(0,0,0,.4);
        display: inline-block;
        padding: 2px 8px 0px 8px;
    }
/*shipping-time*/
.shipping-time-day {
    width: unset;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    margin-left: 16px;
}

.shipping-name {
    color: #3e3f3f;
    font-weight: unset;
    line-height: 1.571;
}

.shipping-date {
    color: #979797;
    line-height: 2.2;
    font-size: smaller;
}

.shipping-box-cont {
    -webkit-box-pack: unset;
    -ms-flex-pack: unset;
    justify-content: unset;
    width: unset;
    padding: unset;
    display: flex;
    margin-top: 8px;
    -webkit-box-shadow: 0 8px 13px -7px rgb(3 10 22 / 5%);
    box-shadow: 0 8px 13px -7px rgb(3 10 22 / 5%);
}

.time-detail {
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.progress-light-grey {
    color: #000 !important;
    background-color: #dbdbdb !important
}

.progress-green {
    color: #fff !important;
    background-color: #4CAF50 !important;
    height: 20px;
}

.fstdropdown > .fstselected {
    padding: 0.85rem 2rem;
}

.select-box select {
    max-width: initial;
    width: 100%;
    padding: 0.9rem 2rem;
    padding-right: 18px !important;
    font-size: 1.4rem;
}

    .select-box select.disabled {
        background-color: #F5F5F5;
        pointer-events: none;
    }

.waiting-order {
    border-style: solid;
    border-color: #cacbcc !important;
}

.wating-btn {
    width: 100px;
}

.vertical-title {
    vertical-align: top;
}

.progress-icon {
    font-size: 3rem;
}

.sum-pd {
    padding: 4.8rem 3rem 5rem;
}

.alert-sum {
    padding: 10px;
}

.fa-map-marked-alt {
    font-weight: inherit !important;
}

.shipping-row-time {
    border-bottom: 1px dashed #eae8e8;
}

    .shipping-row-time:last-child {
        border-bottom: none;
    }

.border-left {
    border-left: 1px solid #eae8e8;
}

.shipping-name {
    font-size: 1.5rem;
}

.full-time {
    font-size: 12px;
    margin: auto;
}

.time-detail {
    color: #000;
}

.matt-time {
    font-size: 1.5rem;
    opacity: 0.5;
    cursor: not-allowed;
}


.time_post .custom-checkbox + label::before, .time_fast_post .custom-checkbox + label::before {
    margin-top: -10px;
}

.time_post i, .time_fast_post i {
    font-size: 2.5rem;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

.time_post label, .time_fast_post label {
    color: #000;
}

.time_post span, .time_fast_post span {
    vertical-align: super;
    font-size: 1.5rem;
}

/*.alert.alert-inline {
    padding-right: initial;
}*/
#app footer {
    display: none;
}

.step-by .title.title-step::before {
    content: '\f054';
}

.cart .card-header > a {
    padding-right: 2px;
}

.accordion-boxed .card-header a, .accordion-boxed .card-body {
    padding-left: 2rem;
}



.checkmark {
    position: absolute;
    top: 39%;
    right: 22px;
    height: 15px;
    width: 15px;
    border: 1px solid #ccc;
    background-color: #fff;
    border-radius: 50%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-transition: 0.2s all;
    -o-transition: 0.2s all;
    transition: 0.2s all;
}

    .checkmark::after {
        display: block;
        content: "";
        width: 5px;
        height: 5px;
        border-radius: 50%;
        background: #fff;
    }

.radio-btn-time:checked ~ .radio-tile {
    border: 2px solid #000;
}

.radio-btn-time:checked + .checkmark {
    background-color: #000;
    border: 1px solid #000;
}

#div-time .radio-tile {
    padding: 2rem;
    padding-right: 3rem;
    justify-content: space-between;
}

    #div-time .radio-tile i {
        font-size: 2rem;
    }
.shipping-row-time {
    border: 1px dashed #eae8e8;
}




.container-address {
    position: relative;
    display: flex;
    align-items: center;
    padding-left: 0;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 16px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    position: relative;
    vertical-align: middle;
    padding-left: 25px;
    cursor: pointer;
    user-select: none;
}

    .container-address input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }


.checkmark-address {
    position: relative;
    height: 18px;
    width: 18px;
    background-color: #eee;
    border-radius: 50%;
    margin-left: 10px;
    transition: all 0.3s ease;
    display: inline-block;
    width: 20px;
    height: 20px;
    background-color: #fff;
    border: 2px solid #000;
    position: relative;
}


.container-address:hover input ~ .checkmark-address {
    background-color: #ccc;
}


.container-address input:checked ~ .checkmark-address {
    background-color: black;
    border-color: black;
}


    .container-address input:checked ~ .checkmark-address:after {
        display: block;
    }


input[type="checkbox"].address-checkbox {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}


.checkmark-address::after {
    content: "";
    position: absolute;
    display: none;
    top: 4px;
    left: 4px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: white;
}


input[type="checkbox"].address-checkbox:checked + .checkmark-address::after {
    display: block;
}

.disabled-divs {
    opacity: 0.5;
    pointer-events: none;
}

.accardion-content {
    display: block;
}
.delivery-inplace {
    max-width: fit-content;
}

#modal-costceiling-message #modal-costceiling-body {
    display: flex;
    align-items: center;
    justify-content: right;
}
#modal-costceiling-message #modal-costceiling-body i {
    font-size: 5rem;
    color: #418344;
    display: inline-block;
}

    #modal-costceiling-message #modal-costceiling-body p {
        margin-right: 1rem;
        line-height: 0;
        margin-bottom: 0;
        font-size: 1.7rem;
        color: #353333;
    }

#modal-costceiling-message #modal-costceiling-body p b {
    color: red;
    padding: 0 0.2rem;
}